
[perspective]
	#Whether or not to replace the default third person perspective
	replace_default_perspective = false
	#Size of the camera adjustment per step
	#Range: -1.7976931348623157E308 ~ 1.7976931348623157E308
	camera_step_size = 0.025
	#Whether or not to hide the player model if the camera gets too close to it
	keep_camera_out_of_head = true
	#Whether or not to limit the player reach depending on the crosshair location (perspective offset)
	limit_player_reach = true
	#The default perspective when you load the game
	#Allowed Values: FIRST_PERSON, THIRD_PERSON_BACK, THIRD_PERSON_FRONT, SHOULDER_SURFING
	default_perspective = "SHOULDER_SURFING"
	#Whether or not to remember the last perspective used
	remember_last_perspective = true

	[perspective.offset]
		#Third person camera x-offset
		#Range: -1.7976931348623157E308 ~ 1.7976931348623157E308
		offset_x = 1.2249999999999994
		#Third person camera y-offset
		#Range: -1.7976931348623157E308 ~ 1.7976931348623157E308
		offset_y = 0.0
		#Third person camera z-offset
		#Range: -1.7976931348623157E308 ~ 1.7976931348623157E308
		offset_z = 3.1749999999999994

		[perspective.offset.min]
			#If x-offset is limited this is the minimum amount
			#Range: -1.7976931348623157E308 ~ 1.7976931348623157E308
			min_offset_x = -3.0
			#If z-offset is limited this is the minimum amount
			#Range: -1.7976931348623157E308 ~ 1.7976931348623157E308
			min_offset_z = -3.0
			#If y-offset is limited this is the minimum amount
			#Range: -1.7976931348623157E308 ~ 1.7976931348623157E308
			min_offset_y = -1.0

		[perspective.offset.max]
			#If z-offset is limited this is the maximum amount
			#Range: -1.7976931348623157E308 ~ 1.7976931348623157E308
			max_offset_z = 5.0
			#If y-offset is limited this is the maximum amount
			#Range: -1.7976931348623157E308 ~ 1.7976931348623157E308
			max_offset_y = 1.5
			#If x-offset is limited this is the maximum amount
			#Range: -1.7976931348623157E308 ~ 1.7976931348623157E308
			max_offset_x = 3.0

		[perspective.offset.limits]
			#Whether or not z-offset adjustment has limits
			unlimited_offset_z = false
			#Whether or not y-offset adjustment has limits
			unlimited_offset_y = false
			#Whether or not x-offset adjustment has limits
			unlimited_offset_x = false

[crosshair]
	#Whether or not to show the crosshairs farther than normal
	show_crosshair_farther = true
	#Crosshair type to use for shoulder surfing
	#Allowed Values: ADAPTIVE, DYNAMIC, STATIC, STATIC_WITH_1PP
	crosshair_type = "ADAPTIVE"

	[crosshair.visibility]
		#Crosshair visibility for first_person
		#Allowed Values: ALWAYS, NEVER, WHEN_AIMING, WHEN_IN_RANGE, WHEN_AIMING_OR_IN_RANGE
		first_person = "ALWAYS"
		#Crosshair visibility for shoulder_surfing
		#Allowed Values: ALWAYS, NEVER, WHEN_AIMING, WHEN_IN_RANGE, WHEN_AIMING_OR_IN_RANGE
		shoulder_surfing = "ALWAYS"
		#Crosshair visibility for third_person_back
		#Allowed Values: ALWAYS, NEVER, WHEN_AIMING, WHEN_IN_RANGE, WHEN_AIMING_OR_IN_RANGE
		third_person_back = "NEVER"
		#Crosshair visibility for third_person_front
		#Allowed Values: ALWAYS, NEVER, WHEN_AIMING, WHEN_IN_RANGE, WHEN_AIMING_OR_IN_RANGE
		third_person_front = "NEVER"

